QueryRequest (Solr 3.6.2 API)
Keywords: org.apache.solr.client.solrj.request.QueryRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.client.solrj.request
Class QueryRequest

    java.lang.Object
      org.apache.solr.client.solrj.SolrRequest
          org.apache.solr.client.solrj.request.QueryRequest

All Implemented Interfaces:
  Serializable

    public class QueryRequest

extends SolrRequest

Since:
  solr 1.3
Version:
  $Id$
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest
`SolrRequest.METHOD`

Constructor Summary
`QueryRequest()`
`QueryRequest(SolrParams q)`
`QueryRequest(SolrParams q, SolrRequest.METHOD method)`

Method Summary
`Collection<ContentStream>` | `getContentStreams()`
`SolrParams` | `getParams()`
`String` | `getPath()` Use the params 'QT' parameter if it exists
`QueryResponse` | `process(SolrServer server)`

Methods inherited from class org.apache.solr.client.solrj.SolrRequest
`getMethod, getResponseParser, setMethod, setPath, setResponseParser`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryRequest

    public QueryRequest()

### QueryRequest

    public QueryRequest(SolrParams q)

### QueryRequest

    public QueryRequest(SolrParams q,
                        SolrRequest.METHOD method)

Method Detail

### getPath

    public String getPath()

  Use the params 'QT' parameter if it exists

  Overrides:
    `getPath` in class `SolrRequest`

### getContentStreams

    public Collection<ContentStream> getContentStreams()

  Specified by:
    `getContentStreams` in class `SolrRequest`

### getParams

    public SolrParams getParams()

  Specified by:
    `getParams` in class `SolrRequest`

### process

    public QueryResponse process(SolrServer server)
                          throws SolrServerException

  Specified by:
    `process` in class `SolrRequest`
  Throws:
    `SolrServerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD